#ifndef _FrSkySportGPS_H
#define _FrSkySportGPS_H

#include <stdint.h>

typedef struct
{
  int8_t   gpsFix;           // -1=never fixed, 0=not fixed now, 1=fixed
  
  //~ _bp: before punct
  //~ _ap: after punct
  
  /* LONG_LAT */
  uint16_t gpsLongitude_bp;
  uint16_t gpsLongitude_ap;
  uint16_t gpsLongitudeEW;
  uint16_t gpsLatitude_bp;
  uint16_t gpsLatitude_ap;
  uint16_t gpsLatitudeNS;
  
  /* ALT */
  int32_t  gpsAltitude;
  int16_t  minAltitude;
  int16_t  maxAltitude;
    
  /* SPEED */
  uint16_t gpsSpeed_bp;
  uint16_t gpsSpeed_ap;
  uint16_t maxGpsSpeed;
  
  /* COURS */
  uint16_t gpsCourse_bp;
  uint16_t gpsCourse_ap;
  
  /* TIME_DATE */
  uint8_t  day;
  uint8_t  month;
  uint8_t  year;
  uint8_t  hour;
  uint8_t  min;
  uint8_t  sec;

} gpsdata_;

void processSPortGPSPacket(uint8_t *packet, gpsdata_ *gps);

#define TIMEZONE 0

#endif
