#ifndef _OneWireSerial_h
#define _OneWireSerial_h

#include <stdint.h>

void FrSkySerial_init(uint32_t divisor);
void FrSkySerial_stop(void);
void FrSkySerial_putchar(uint32_t c);
void FrSkySerial_write(const void *buf, unsigned int count);
void FrSkySerial_flush(void);
int FrSkySerial_available(void);
int FrSkySerial_read(int n,uint8_t *buff);
int FrSkySerial_getchar(void);
void FrSkySerial_clear(void);

uint8_t checkSportPacket(uint8_t *packet);

#ifndef UART_C3_TXDIR
  #define UART_C3_TXDIR 0x20
#endif

#define FrSkySerial_RxMode() { UART0_C3 &= ~UART_C3_TXDIR; }
#define FrSkySerial_TxMode() { UART0_C3 |= UART_C3_TXDIR; }

#define GPS_LONG_LATI_FIRST_ID  0x0800
#define GPS_LONG_LATI_LAST_ID   0x080f

#define GPS_ALT_FIRST_ID        0x0820
#define GPS_ALT_LAST_ID         0x082f

#define GPS_SPEED_FIRST_ID      0x0830
#define GPS_SPEED_LAST_ID       0x083f

#define GPS_COURS_FIRST_ID      0x0840
#define GPS_COURS_LAST_ID       0x084f

#define GPS_TIME_DATE_FIRST_ID  0x0850
#define GPS_TIME_DATE_LAST_ID   0x085f

#define FRSKY_SPORT_PACKET_SIZE   8

#define SPORT_APPID_U16(p)  (*((uint16_t *)(p+1)))
#define SPORT_DATA_U8(p)   (*(p+3))
#define SPORT_DATA_S32(p)  (*((int32_t *)(p+3)))
#define SPORT_DATA_U32(p)  (*((uint32_t *)(p+3)))

#endif
